Bug 1201214 - (CVE-2022-34835) VUL-0: CVE-2022-34835: u-boot,u-boot-rpi3: integer overflow in do_i2c_md() may lead to arbitrary code execution
(CVE-2022-34835)
VUL-0: CVE-2022-34835: u-boot,u-boot-rpi3: integer overflow in do_i2c_md() ma...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/335920/
CVSSv3.1:SUSE:CVE-2022-34835:7.8:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-07-05 07:19 UTC by Carlos López
Modified: 2022-08-22 09:32 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos López 2022-07-05 07:19:01 UTC
CVE-2022-34835

In Das U-Boot through 2022.07-rc5, an integer signedness error and resultant
stack-based buffer overflow in the "i2c md" command enables the corruption of
the return address pointer of the do_i2c_md function.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-34835
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-34835
https://github.com/u-boot/u-boot/commit/8f8c04bf1ebbd2f72f1643e7ad9617dafa6e5409
http://www.cvedetails.com/cve/CVE-2022-34835/
https://source.denx.de/u-boot/u-boot/-/commit/8f8c04bf1ebbd2f72f1643e7ad9617dafa6e5409
https://lists.denx.de/pipermail/u-boot/2022-June/486113.html
Comment 1 Carlos López 2022-07-05 07:22:03 UTC
All codestreams are affected.
Comment 2 Thomas Leroy 2022-07-25 07:06:29 UTC
Any update on this bug Matthias?
Comment 4 Swamp Workflow Management 2022-07-29 13:21:44 UTC
SUSE-SU-2022:2584-1: An update that fixes three vulnerabilities is now available.

Category: security (critical)
Bug References: 1200363,1200364,1201214
CVE References: CVE-2022-30552,CVE-2022-30790,CVE-2022-34835
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    u-boot-2018.03-150000.4.11.1
SUSE Linux Enterprise Server 15-LTSS (src):    u-boot-2018.03-150000.4.11.1, u-boot-rpi3-2018.03-150000.4.11.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    u-boot-2018.03-150000.4.11.1, u-boot-rpi3-2018.03-150000.4.11.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    u-boot-2018.03-150000.4.11.1, u-boot-rpi3-2018.03-150000.4.11.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2022-08-03 19:17:03 UTC
SUSE-SU-2022:2654-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1201214
CVE References: CVE-2022-34835
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    u-boot-xilinxzynqmpgeneric-2020.01-150200.10.15.1
openSUSE Leap 15.3 (src):    u-boot-xilinxzynqmpgeneric-2020.01-150200.10.15.1
SUSE Manager Server 4.1 (src):    u-boot-2020.01-150200.10.15.1
SUSE Manager Retail Branch Server 4.1 (src):    u-boot-2020.01-150200.10.15.1
SUSE Manager Proxy 4.1 (src):    u-boot-2020.01-150200.10.15.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    u-boot-2020.01-150200.10.15.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    u-boot-2020.01-150200.10.15.1, u-boot-rpiarm64-2020.01-150200.10.15.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    u-boot-2020.01-150200.10.15.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    u-boot-2020.01-150200.10.15.1, u-boot-rpiarm64-2020.01-150200.10.15.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    u-boot-2020.01-150200.10.15.1, u-boot-rpiarm64-2020.01-150200.10.15.1
SUSE Enterprise Storage 7 (src):    u-boot-2020.01-150200.10.15.1, u-boot-rpiarm64-2020.01-150200.10.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2022-08-03 19:17:44 UTC
SUSE-SU-2022:2653-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1201214,1201745
CVE References: CVE-2022-33967,CVE-2022-34835
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    u-boot-2021.01-150300.7.15.1, u-boot-avnetultra96rev1-2021.01-150300.7.15.1, u-boot-bananapim64-2021.01-150300.7.15.1, u-boot-dragonboard410c-2021.01-150300.7.15.1, u-boot-dragonboard820c-2021.01-150300.7.15.1, u-boot-evb-rk3399-2021.01-150300.7.15.1, u-boot-firefly-rk3399-2021.01-150300.7.15.1, u-boot-geekbox-2021.01-150300.7.15.1, u-boot-hikey-2021.01-150300.7.15.1, u-boot-khadas-vim-2021.01-150300.7.15.1, u-boot-khadas-vim2-2021.01-150300.7.15.1, u-boot-libretech-ac-2021.01-150300.7.15.1, u-boot-libretech-cc-2021.01-150300.7.15.1, u-boot-ls1012afrdmqspi-2021.01-150300.7.15.1, u-boot-mvebudb-88f3720-2021.01-150300.7.15.1, u-boot-mvebudbarmada8k-2021.01-150300.7.15.1, u-boot-mvebuespressobin-88f3720-2021.01-150300.7.15.1, u-boot-mvebumcbin-88f8040-2021.01-150300.7.15.1, u-boot-nanopia64-2021.01-150300.7.15.1, u-boot-odroid-c2-2021.01-150300.7.15.1, u-boot-odroid-c4-2021.01-150300.7.15.1, u-boot-odroid-n2-2021.01-150300.7.15.1, u-boot-orangepipc2-2021.01-150300.7.15.1, u-boot-p2371-2180-2021.01-150300.7.15.1, u-boot-p2771-0000-500-2021.01-150300.7.15.1, u-boot-p3450-0000-2021.01-150300.7.15.1, u-boot-pine64plus-2021.01-150300.7.15.1, u-boot-pinebook-2021.01-150300.7.15.1, u-boot-pinebook-pro-rk3399-2021.01-150300.7.15.1, u-boot-pineh64-2021.01-150300.7.15.1, u-boot-pinephone-2021.01-150300.7.15.1, u-boot-poplar-2021.01-150300.7.15.1, u-boot-rock-pi-4-rk3399-2021.01-150300.7.15.1, u-boot-rock64-rk3328-2021.01-150300.7.15.1, u-boot-rock960-rk3399-2021.01-150300.7.15.1, u-boot-rockpro64-rk3399-2021.01-150300.7.15.1, u-boot-rpi3-2021.01-150300.7.15.1, u-boot-rpi4-2021.01-150300.7.15.1, u-boot-rpiarm64-2021.01-150300.7.15.1, u-boot-xilinxzynqmpvirt-2021.01-150300.7.15.1, u-boot-xilinxzynqmpzcu102rev10-2021.01-150300.7.15.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    u-boot-2021.01-150300.7.15.1, u-boot-rpiarm64-2021.01-150300.7.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2022-08-03 22:16:52 UTC
SUSE-SU-2022:2661-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1201214,1201745
CVE References: CVE-2022-33967,CVE-2022-34835
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    u-boot-2021.10-150400.4.8.1, u-boot-avnetultra96rev1-2021.10-150400.4.8.1, u-boot-bananapim64-2021.10-150400.4.8.1, u-boot-dragonboard410c-2021.10-150400.4.8.1, u-boot-dragonboard820c-2021.10-150400.4.8.1, u-boot-evb-rk3399-2021.10-150400.4.8.1, u-boot-firefly-rk3399-2021.10-150400.4.8.1, u-boot-geekbox-2021.10-150400.4.8.1, u-boot-hikey-2021.10-150400.4.8.1, u-boot-khadas-vim-2021.10-150400.4.8.1, u-boot-khadas-vim2-2021.10-150400.4.8.1, u-boot-libretech-ac-2021.10-150400.4.8.1, u-boot-libretech-cc-2021.10-150400.4.8.1, u-boot-ls1012afrdmqspi-2021.10-150400.4.8.1, u-boot-mvebudb-88f3720-2021.10-150400.4.8.1, u-boot-mvebudbarmada8k-2021.10-150400.4.8.1, u-boot-mvebuespressobin-88f3720-2021.10-150400.4.8.1, u-boot-mvebumcbin-88f8040-2021.10-150400.4.8.1, u-boot-nanopia64-2021.10-150400.4.8.1, u-boot-odroid-c2-2021.10-150400.4.8.1, u-boot-odroid-c4-2021.10-150400.4.8.1, u-boot-odroid-n2-2021.10-150400.4.8.1, u-boot-orangepipc2-2021.10-150400.4.8.1, u-boot-p2371-2180-2021.10-150400.4.8.1, u-boot-p2771-0000-500-2021.10-150400.4.8.1, u-boot-p3450-0000-2021.10-150400.4.8.1, u-boot-pine64plus-2021.10-150400.4.8.1, u-boot-pinebook-2021.10-150400.4.8.1, u-boot-pinebook-pro-rk3399-2021.10-150400.4.8.1, u-boot-pineh64-2021.10-150400.4.8.1, u-boot-pinephone-2021.10-150400.4.8.1, u-boot-poplar-2021.10-150400.4.8.1, u-boot-rock-pi-4-rk3399-2021.10-150400.4.8.1, u-boot-rock-pi-n10-rk3399pro-2021.10-150400.4.8.1, u-boot-rock64-rk3328-2021.10-150400.4.8.1, u-boot-rock960-rk3399-2021.10-150400.4.8.1, u-boot-rockpro64-rk3399-2021.10-150400.4.8.1, u-boot-rpi3-2021.10-150400.4.8.1, u-boot-rpi4-2021.10-150400.4.8.1, u-boot-rpiarm64-2021.10-150400.4.8.1, u-boot-xilinxzynqmpvirt-2021.10-150400.4.8.1, u-boot-xilinxzynqmpzcu102rev10-2021.10-150400.4.8.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    u-boot-2021.10-150400.4.8.1, u-boot-rpiarm64-2021.10-150400.4.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2022-08-04 13:16:42 UTC
SUSE-SU-2022:2667-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1201214
CVE References: CVE-2022-34835
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    u-boot-2019.01-150100.7.16.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    u-boot-2019.01-150100.7.16.1, u-boot-rpi3-2019.01-150100.7.16.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    u-boot-2019.01-150100.7.16.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    u-boot-2019.01-150100.7.16.1, u-boot-rpi3-2019.01-150100.7.16.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    u-boot-2019.01-150100.7.16.1, u-boot-rpi3-2019.01-150100.7.16.1
SUSE Enterprise Storage 6 (src):    u-boot-2019.01-150100.7.16.1, u-boot-rpi3-2019.01-150100.7.16.1
SUSE CaaS Platform 4.0 (src):    u-boot-2019.01-150100.7.16.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2022-08-04 13:19:29 UTC
SUSE-SU-2022:2666-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1201214
CVE References: CVE-2022-34835
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    u-boot-2019.01-5.11.1, u-boot-rpi3-2019.01-5.11.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2022-08-09 16:30:42 UTC
SUSE-SU-2022:2712-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1201214
CVE References: CVE-2022-34835
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    u-boot-2018.03-4.9.1, u-boot-rpi3-2018.03-4.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Robert Frohl 2022-08-22 09:32:30 UTC
done, closing